Open Bug 1579754 Opened 7 months ago Updated 4 months ago

Intermittent TEST-UNEXPECTED-CRASH | /service-workers/service-worker/activate-event-after-install-state-change.https.html | expected OK

Categories

(GeckoView :: General, defect, P3)

Unspecified
Android
defect

Tracking

(firefox71 fix-optional)

Tracking Status
firefox71 --- fix-optional

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Depends on 1 open bug)

Details

(Keywords: intermittent-failure, leave-open, regression, Whiteboard: [retriggered][Comment 9][stockwell disabled])

Attachments

(1 file)

Filed by: csabou [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=265618435&repo=try
Full log: https://queue.taskcluster.net/v1/task/eilxHUTKQNqj8_JG_Gx9EQ/runs/0/artifacts/public/logs/live_backing.log


[task 2019-09-08T22:01:21.435Z] 22:01:21 INFO - TEST-OK | /service-workers/service-worker/about-blank-replacement.https.html | took 1744ms
[task 2019-09-08T22:01:21.435Z] 22:01:21 INFO - TEST-START | /service-workers/service-worker/activate-event-after-install-state-change.https.html
[task 2019-09-08T22:01:21.435Z] 22:01:21 INFO - Closing window 14
[task 2019-09-08T22:01:21.456Z] 22:01:21 INFO - Closing window 2147483663
[task 2019-09-08T22:07:21.495Z] 22:07:21 INFO - IOError on command, setting status to CRASH
[task 2019-09-08T22:07:21.935Z] 22:07:21 INFO - TEST-UNEXPECTED-CRASH | /service-workers/service-worker/activate-event-after-install-state-change.https.html | expected OK
[task 2019-09-08T22:07:21.935Z] 22:07:21 INFO - TEST-INFO took 360499ms
[task 2019-09-08T22:07:22.575Z] 22:07:22 INFO - Closing logging queue
[task 2019-09-08T22:07:22.575Z] 22:07:22 INFO - queue closed
[task 2019-09-08T22:07:22.583Z] 22:07:22 INFO - Setting up ssl
[task 2019-09-08T22:07:22.603Z] 22:07:22 INFO - certutil |
[task 2019-09-08T22:07:22.619Z] 22:07:22 INFO - certutil |
[task 2019-09-08T22:07:22.634Z] 22:07:22 INFO - certutil |
[task 2019-09-08T22:07:22.634Z] 22:07:22 INFO - Certificate Nickname Trust Attributes
[task 2019-09-08T22:07:22.634Z] 22:07:22 INFO - SSL,S/MIME,JAR/XPI
[task 2019-09-08T22:07:22.634Z] 22:07:22 INFO -
[task 2019-09-08T22:07:22.634Z] 22:07:22 INFO - web-platform-tests CT,,
[task 2019-09-08T22:07:22.634Z] 22:07:22 INFO -
[task 2019-09-08T22:07:25.352Z] 22:07:25 INFO - adb Granting important runtime permissions to org.mozilla.geckoview.test
[task 2019-09-08T22:07:26.600Z] 22:07:26 INFO - adb launch_application: am start -W -n org.mozilla.geckoview.test/org.mozilla.geckoview.test.TestRunnerActivity -a android.intent.action.MAIN --es env9 MOZ_DISABLE_NONLOCAL_CONNECTIONS=1 --es env8 R_LOG_DESTINATION=stderr --es args "-no-remote -profile /sdcard/tests/profile --marionette about:blank" --es env3 MOZ_HIDE_RESULTS_TABLE=1 --es env2 R_LOG_VERBOSE=1 --es env1 MOZ_WEBRENDER=0 --es env0 MOZ_CRASHREPORTER=1 --es env7 MOZ_CRASHREPORTER_SHUTDOWN=1 --es env6 MOZ_IN_AUTOMATION=1 --es env5 MOZ_LOG=signaling:3,mtransport:4,DataChannel:4,jsep:4 --es env4 STYLO_THREADS=4 --ez use_multiprocess True --es env12 R_LOG_LEVEL=6 --es env11 MOZ_PROCESS_LOG=/tmp/tmpvNxD5Zpidlog --es env10 MOZ_CRASHREPORTER_NO_REPORT=1
[task 2019-09-08T22:07:28.174Z] 22:07:28 INFO - Starting runner
[task 2019-09-08T22:07:28.340Z] 22:07:28 INFO - TEST-START | /service-workers/service-worker/activation-after-registration.https.html

Hi Eden,
I failed at finding a quick answer from the above merge push log. Could you please help here?

Flags: needinfo?(htsai) → needinfo?(echuang)

Sure, will take it a look later.

Flags: needinfo?(echuang)
Priority: -- → P3

This fail has reached 50 occurrences in the past week, all android-em-7-0-x86_64 opt and debug.
Recent log failure:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=267771657&repo=autoland&lineNumber=5000

[task 2019-09-21T01:30:50.860Z] 01:30:50 INFO - TEST-START | /service-workers/service-worker/activate-event-after-install-state-change.https.html
[task 2019-09-21T01:30:50.868Z] 01:30:50 INFO - Closing window 14
[task 2019-09-21T01:30:50.875Z] 01:30:50 INFO - Closing window 2147483663
[task 2019-09-21T01:36:50.969Z] 01:36:50 INFO - IOError on command, setting status to CRASH
[task 2019-09-21T01:36:51.407Z] 01:36:51 INFO - TEST-UNEXPECTED-CRASH | /service-workers/service-worker/activate-event-after-install-state-change.https.html | expected OK
[task 2019-09-21T01:36:51.407Z] 01:36:51 INFO - TEST-INFO took 360550ms
[task 2019-09-21T01:36:52.052Z] 01:36:52 INFO - Closing logging queue
[task 2019-09-21T01:36:52.052Z] 01:36:52 INFO - queue closed
[task 2019-09-21T01:36:52.068Z] 01:36:52 INFO - Setting up ssl
[task 2019-09-21T01:36:52.083Z] 01:36:52 INFO - certutil |
[task 2019-09-21T01:36:52.099Z] 01:36:52 INFO - certutil |
[task 2019-09-21T01:36:52.114Z] 01:36:52 INFO - certutil |
[task 2019-09-21T01:36:52.114Z] 01:36:52 INFO - Certificate Nickname Trust Attributes
[task 2019-09-21T01:36:52.114Z] 01:36:52 INFO - SSL,S/MIME,JAR/XPI
[task 2019-09-21T01:36:52.114Z] 01:36:52 INFO -
[task 2019-09-21T01:36:52.115Z] 01:36:52 INFO - web-platform-tests CT,,
[task 2019-09-21T01:36:52.115Z] 01:36:52 INFO -
[task 2019-09-21T01:36:54.827Z] 01:36:54 INFO - adb Granting important runtime permissions to org.mozilla.geckoview.test
[task 2019-09-21T01:36:56.082Z] 01:36:56 INFO - adb launch_application: am start -W -n org.mozilla.geckoview.test/org.mozilla.geckoview.test.TestRunnerActivity -a android.intent.action.MAIN --es env9 MOZ_DISABLE_NONLOCAL_CONNECTIONS=1 --es env8 R_LOG_DESTINATION=stderr --es args "-no-remote -profile /sdcard/tests/profile --marionette about:blank" --es env3 MOZ_HIDE_RESULTS_TABLE=1 --es env2 R_LOG_VERBOSE=1 --es env1 MOZ_WEBRENDER=0 --es env0 MOZ_CRASHREPORTER=1 --es env7 MOZ_CRASHREPORTER_SHUTDOWN=1 --es env6 MOZ_IN_AUTOMATION=1 --es env5 MOZ_LOG=signaling:3,mtransport:4,DataChannel:4,jsep:4 --es env4 STYLO_THREADS=4 --ez use_multiprocess True --es env12 R_LOG_LEVEL=6 --es env11 MOZ_PROCESS_LOG=/tmp/tmpDyRF4Qpidlog --es env10 MOZ_CRASHREPORTER_NO_REPORT=1
[task 2019-09-21T01:36:57.458Z] 01:36:57 INFO - Starting runner

Flags: needinfo?(htsai)

I think it might be related to the known intermittent fail on the previous test.

According to test logs, we always got TEST-KNOWN-INTERMITTENT-FAIL in /service-workers/service-worker/about-blank-replacement.https.html before we got TEST-UNEXPECTED-CRACH. And we always got strange info log "Closing window xxxxxxxx" when starting the test. I don't think the closing window id is valid, and we try to close an invalid window and cause IOError

TEST-KNOWN-INTERMITTENT-FAIL
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=267771657&repo=autoland&lineNumber=8583

INFO - Closing window 2147483663
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=267771657&repo=autoland&lineNumber=8589

I think it might be a platform issue to creating/closing a pop window on geckoveiw.
I will disable service-workers/service-worker/about-blank-replacement.https.html on geckoview first to check if this decreases the failure rate or not.

Flags: needinfo?(htsai)
Whiteboard: [retriggered][stockwell disable-recommended] → [retriggered][stockwell needswork][Comment 9]

Hi Eden, are there updates here?

Flags: needinfo?(echuang)

Occurrences seem to trend down here. Might be fixed?

Popup window maybe fail in geckoview platform, and closing it makes IOError and crashes the test.

Keywords: leave-open
Whiteboard: [retriggered][Comment 9][stockwell disable-recommended] → [retriggered][Comment 9][stockwell disabled]
Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/ac1436cdbaed
Disable web-platform test serviceworker/about-blank-replacement.https.html.ini for geckoview r=gbrown
Flags: needinfo?(echuang)

(In reply to Eden Chuang[:edenchuang] from comment #15)

Created attachment 9097341 [details]
Disable web-platform test serviceworker/about-blank-replacement.https.html.ini for geckoview

Popup window maybe fail in geckoview platform, and closing it makes IOError and crashes the test.

According to this, Chris may be able to help bring this to the right person's radar.

Component: DOM: Service Workers → General
Flags: needinfo?(cpeterson)
Priority: P3 → --
Product: Core → GeckoView

A recent test log shows an Marionette error: InvalidArgumentException: Unknown pointerType: [object String] "touch". Is that the cause of this test crash? Why would that be an intermittent problem?

https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=268920216&repo=autoland&lineNumber=8605

The marionette code says TODO For now, only mouse is supported:

https://searchfox.org/mozilla-central/rev/01d1011ca4a460f751da030d455d35c267c3e210/testing/marionette/action.js#384-403

[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - InvalidArgumentException: Unknown pointerType: [object String] "touch"
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - stacktrace:
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	WebDriverError@chrome://marionette/content/error.js:175:5
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	InvalidArgumentError@chrome://marionette/content/error.js:304:5
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	assert.that/<@chrome://marionette/content/assert.js:428:13
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	assert.in@chrome://marionette/content/assert.js:385:47
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	action.PointerType.get@chrome://marionette/content/action.js:403:10
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	Pointer@chrome://marionette/content/action.js:593:39
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	fromJSON@chrome://marionette/content/action.js:481:14
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	fromJSON@chrome://marionette/content/action.js:847:39
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	fromJSON@chrome://marionette/content/action.js:810:48
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	performActions@chrome://marionette/content/listener.js:843:28
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	dispatch/</req<@chrome://marionette/content/listener.js:527:14
[task 2019-09-28T13:17:06.910Z] 13:17:06  WARNING - 	dispatch/<@chrome://marionette/content/listener.js:520:15
Flags: needinfo?(cpeterson)

Moving this bug to the Marionette component. This looks like a Marionette bug. Marionette's "TODO For now, only mouse is supported" comment is no longer true. GeckoView is sending touch events. But why is this a test failing intermittently instead of all the time??

https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=269175747&repo=mozilla-inbound&lineNumber=5020

[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - InvalidArgumentException: Unknown pointerType: [object String] "touch"
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - stacktrace:
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	WebDriverError@chrome://marionette/content/error.js:175:5
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	InvalidArgumentError@chrome://marionette/content/error.js:304:5
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	assert.that/<@chrome://marionette/content/assert.js:428:13
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	assert.in@chrome://marionette/content/assert.js:385:47
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	action.PointerType.get@chrome://marionette/content/action.js:403:10
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	Pointer@chrome://marionette/content/action.js:593:39
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	fromJSON@chrome://marionette/content/action.js:481:14
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	fromJSON@chrome://marionette/content/action.js:847:39
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	fromJSON@chrome://marionette/content/action.js:810:48
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	performActions@chrome://marionette/content/listener.js:843:28
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	dispatch/</req<@chrome://marionette/content/listener.js:527:14
[task 2019-10-01T01:27:20.995Z] 01:27:20  WARNING - 	dispatch/<@chrome://marionette/content/listener.js:520:15
Component: General → Marionette
OS: Unspecified → Android
Product: GeckoView → Testing
Whiteboard: [retriggered][Comment 9][stockwell disabled] → [retriggered][Comment 9][stockwell disabled] [geckoview:p2]
Version: unspecified → Trunk

I would like to leave this bug under GeckoView. For the Marionette specific warning we have bug 1543337, which should be a dependency.

Component: Marionette → General
Depends on: 1543337
Product: Testing → GeckoView

I would like to leave this bug under GeckoView. For the Marionette specific warning we have bug 1543337, which should be a dependency.

Tracking the Marionette fix separately from this particular GeckoView test failure makes sense. Marking this bug P3 because the Marionette bug 1543337 is P3.

Priority: -- → P3
Whiteboard: [retriggered][Comment 9][stockwell disabled] [geckoview:p2] → [retriggered][Comment 9][stockwell disabled]
You need to log in before you can comment on or make changes to this bug.